Gentoo Archives: gentoo-commits

From: Hans de Graaff <graaff@g.o>
To: gentoo-commits@l.g.o
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-ruby/net-http-digest_auth/
Date: Thu, 31 Jan 2019 07:36:07
Message-Id: 1548920111.ff817f0f66a2222998cc10dce7282f4e4a520db6.graaff@gentoo
commit:     ff817f0f66a2222998cc10dce7282f4e4a520db6
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Thu Jan 31 07:01:12 2019 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Thu Jan 31 07:35:11 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ff817f0f

dev-ruby/net-http-digest_auth: add ruby26

Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>
Package-Manager: Portage-2.3.51, Repoman-2.3.11

 .../net-http-digest_auth/net-http-digest_auth-1.4.1.ebuild     | 10 +++++++---
 1 file changed, 7 insertions(+), 3 deletions(-)

diff --git a/dev-ruby/net-http-digest_auth/net-http-digest_auth-1.4.1.ebuild b/dev-ruby/net-http-digest_auth/net-http-digest_auth-1.4.1.ebuild
index a546d33b489..2337b056f83 100644
--- a/dev-ruby/net-http-digest_auth/net-http-digest_auth-1.4.1.ebuild
+++ b/dev-ruby/net-http-digest_auth/net-http-digest_auth-1.4.1.ebuild
@@ -1,9 +1,9 @@
-# Copyright 1999-2018 Gentoo Foundation
+# Copyright 1999-2019 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=5
 
-USE_RUBY="ruby22 ruby23 ruby24 ruby25"
+USE_RUBY="ruby23 ruby24 ruby25 ruby26"
 
 RUBY_FAKEGEM_RECIPE_DOC="rdoc"
 RUBY_FAKEGEM_DOCDIR="doc"
@@ -20,4 +20,8 @@ SLOT="0"
 KEYWORDS="amd64 ~ppc ~ppc64 x86 ~amd64-linux ~x86-linux ~ppc-macos ~x86-macos ~x86-solaris"
 IUSE="test"
 
-ruby_add_bdepend "test? ( dev-ruby/hoe dev-ruby/minitest )"
+ruby_add_bdepend "test? ( dev-ruby/minitest )"
+
+each_ruby_test() {
+	${RUBY} -Ilib:. -e 'Dir["test/test_*.rb"].each{|f| require f}' || die
+}